### Method

# GtkSource View set_indent_on_tab

#### Declaration [src]

    void
    gtk_source_view_set_indent_on_tab (
      GtkSourceView* view,
      gboolean enable
    )

#### Description [src]

If `TRUE`, when the tab key is pressed when several lines are selected, the selected lines are indented of one level instead of being replaced with a `\t` character. Shift+Tab unindents the selection.

If the first or last line is not selected completely, it is also indented or unindented.

When the selection doesn’t span several lines, the tab key always replaces the selection with a normal `\t` character.

Sets property | `GtkSource.View:indent-on-tab`

#### Parameters

`enable`

  Type: `gboolean`

  Whether to indent a block when tab is pressed.